# -*- coding: utf-8 -*-
""" widgets viewport

"""
#
# The form node
#
formNode = dbui.Node(T('Forms'))
configurator = lambda tablename: dbui.to_formPanel(db[tablename])
formNode.add_children(db.tables, func=configurator)

#
# the grid node
#
gridNode = dbui.Node(T('Tables'))
configurator = lambda tablename: dbui.to_gridPanel(db[tablename]) 
gridNode.add_children(db.tables, func=configurator) 

#
# The helper node
#
versionLeaf = dbui.Panel(autoLoad=URL('plugin_dbui', 'versions'))

helpNode = dbui.Node(T('Help'))
helpNode.add_child(T('versions'), versionLeaf)

#
# the report node
#
leaf_1 = dbui.Panel(html="salut ma poule")

leaf_2 = dbui.to_panelWithUrlSelector(virtdb.foo1, 
                                      baseUrl=URL('reports', 'report_2'))

leaf_3 = dbui.to_panelWithUrlSelector(virtdb.harvester_selector,
                                      baseUrl=URL('reports', 'report_3'),
                                      selectorRegion='north',
                                      selectorTitle='Select a project')

reportNode = dbui.Node(T('Reports'))
reportNode.add_child(T('report_1'), leaf_1)
reportNode.add_child(T('report_2'), leaf_2)
reportNode.add_child(T('report_3'), leaf_3)

#
# The viewport with its navigation tree
#
viewportModifier = dbui.ViewportModifier()
viewportModifier.append_plugins('pViewportLogin')
viewportModifier.configure(logged=True)
viewportModifier.add_node(helpNode, formNode, gridNode, reportNode)
