/**
 * The grid expert menu plugin for toolbar
 * The ptype of this component is pGridExpertMenu.
 *  
 */
Ext.namespace('App.grid');

App.grid.ExpertMenu = Ext.extend(Object, {

    /**
     * Private parameter identifying the type of plugin
     */
    ptype: 'pGridExpertMenu',

    /**
     * Private attribute for internationalisation
     */
    textExport: 'Export to CSV file',
    textReset: 'Reset',
        
    /**
     * Plugin initialisation
     */
    init: function(grid){

        var bbar = grid.getBottomToolbar(),
            menu;
            
        menu = new Ext.Toolbar.SplitButton({
            menu:{
                items: [{
                    listeners: {click: this.onReset, scope: grid},
                    text: this.textReset
                    
                }, {
                    href: App.csvUrl + '?tableName=' + App.getTableName(grid.store),
                    text: this.textExport
                }]
            }
        });

        bbar.add('->', menu);            
    },
    
    /**
     * Handler to reset grid, its filters and its paging options
     */    
    onReset: function () {
        var grid = this;
        grid.reset();
    }
});

Ext.preg('pGridExpertMenu', App.grid.ExpertMenu);
